function varargout = daefile(z,x,t,flag,varargin)
  % DAE file of structure f((d(x,t))',x,t)=f(z,x,t)

  % Parameters:
  if isempty(flag)
    varargout{1} = f(z,x,t,varargin{:});
  else
    switch flag
     case ''
      varargout{1} =  f(z,x,t,varargin{:});
     case 'dfy'
      varargout{1} = dfy(z,x,t,varargin{:});
     case 'dfx'
      varargout{1} = dfx(z,x,t,varargin{:});
     case 'dft'
      varargout{1} = dft(z,x,t,varargin{:});
     case 'd'
      varargout{1} = d(x,t);
     case 'dx'
      varargout{1} = dx(x,t);
     otherwise
      error(['Unknown flag ''' flag '''.']);
    end
  end
  
function [fzxt]=f(z,x,t,include parameter);
fzxt=zeros(size(x))
fzxt(1)=...
    .
    .
    .
fzxt(n)=... 

function [dfyzxt]=dfy(z,x,t,include parameter);
dfyzxt=zeros(size(x),size(z));
error(' daefile: not yet realized');

function [dfxzxt]=dfx(z,x,t,include parameter);
dfyzxt=zeros(size(x),size(x));
error(' daefile: not yet realized');

function [dftzxt]=dft(z,x,t,include parameter);
dftzxt=zeros(1,size(x));
error(' daefile: not yet realized');

function [dxt]=d(x,t);
dxt=% replace the value of size(z) in zeros(size(z),1);
dxt(1)=...
    .
    .
    .
dxt(m)=...    

function [dxxt]=dx(x,t);
dxxt=zeros(size(z),size(x));
error(' daefile: not yet realized');